﻿// lab1.cpp : Этот файл содержит функцию "main". Здесь начинается и заканчивается выполнение программы.
//

#include <iostream>
#include <vector>
#include <cmath>
#include "histogram.h"
using namespace std;



struct Input {
    vector<double> numbers;
    size_t bin_count{};
};

Input
input_data() {
    size_t number_count;
    cin >> number_count;
    Input in;
    in.numbers.resize(number_count);

    for (size_t i = 0; i < number_count; i++) {
        cin >> in.numbers[i];
    }

    cout << "Enter number of bins";
    cin >> in.bin_count;
    return in;
}


void show_histogram_text(vector <size_t> bins, size_t bin_count) {

    for (size_t i = 0; i < bin_count; i++) {
        if (bins[i] < 100) {
            cout << " ";
        }
        if (bins[i] < 10) {
            cout << " ";
        }
        cout << bins[i] << "|";
        for (size_t j = 0; j < bins[i]; j++) {
            cout << "*";
        }
        cout << "\n";
    }
}



int main()
{
    Input in = input_data();
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_text(bins, in.bin_count);


}